Subject: Re: bug#58966: [Trunk] Xcode 14.1+ (and macOS 13.0+) deprecate sprintf()

From: Gerd Möllmann <[email-masked]>
Date: Thu, 03 Nov 2022 06:56:25 +0100

Jacob Faibussowitsch <[email-masked]> writes:

> Fresh build this morning produces many such warnings. I have attached
> config.log and make.log:
>
> buffer.c:1223:46: warning: 'sprintf' is deprecated: This function is provided for compatibility reasons only.  Due to security concerns inherent in the design of sprintf(3), it is highly recommended that you use snprintf(3) instead. [-Wdeprecated-declarations]
>       AUTO_STRING_WITH_LEN (lnumber, number, sprintf (number, "-%d", i));
>                                              ^

Yeah, I've got 14.1 over night now, too, and I now see the same :-(.

>From a hort look, just replacing sprintf variants with snprintf variants
won't be enough.  Things like make_formatted_string would require
interface changes, for example.

I short, that looks to me like a ton of boring and potentially bug-prone
work.

What do the maintainers think about this?